#include <iostream>

using namespace std;

int main()
{
    long int N, L;
    cin >> N >> L;
    long int H, koeficijent;
    bool udario = false;
    for(long int i = 0; i < N; i++)
    {
        cin >> H;
        if(H <= L)
        {
            udario = true;
            koeficijent = i + 1;
            break;
        }
    }
    if(udario)
    {
        cout << koeficijent;
    }
    else
    {
        cout << -1;
    }
}